Subject: Re: [PATCH 04/19] index-helper: new daemon for caching index and related stuff

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Mar 2016 08:56:05 -0700

Duy Nguyen <[email-masked]> writes:

> Another aspect that's not mentioned is, we keep this daemon's logic as
> thin as possible. The "brain" stays in git. So the daemon can read and
> validate stuff, but that's about all it's allowed to do. It's not
> supposed to add/create new contents. It's not even allowed to accept
> direct updates from git.

That explanation does make the intent clear. It is a kind of design
decision that needs to be made early and that is hard to change
later (I am not saying I see the need of changing, though), so it is
worth stating explicitly to guide future readers and updaters of the
code.

Thanks.